For the complete documentation index, see llms.txt. This page is also available as Markdown.

SNS API

OPI SNS API endpoints are available to use with an API Key or from allow-listed domains.

Mainnet: https://api.ordinalsbot.com/sns

Testnet: https://testnet-api.ordinalsbot.com/sns

You can refer to official OPI documentation for all available endpoints.

Get SNS Info

GET https://api.ordinalsbot.com/sns/v1/sns/get_info_of_sns

Query Parameters

Name
Type
Description

name*

String

SNS to get info for (e.g. satoshi.sats)

Headers

Name
Type
Description

x-api-key*

String

API Key

Get SNS Owned by Address

GET https://api.ordinalsbot.com/sns/v1/sns/get_sns_of_address

Query Parameters

Name
Type
Description

address*

String

Bitcoin address to check balance

Headers

Name
Type
Description

x-api-key*

String

API Key

Get SNS Count of Address

GET https://api.ordinalsbot.com/sns/v1/sns/get_sns_count_of_address

Query Parameters

Name
Type
Description

address*

String

Bitcoin address to check balance

Headers

Name
Type
Description

x-api-key*

String

API Key

Last updated